Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1511911

Summary: Review Request: ghc-skylighting - Syntax highlighting library
Product: [Fedora] Fedora Reporter: Jens Petersen <petersen>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: haskell-devel, package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: ghc-skylighting-0.1.1.5-3.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 11:16:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1502200    
Bug Blocks: 1340303    

Description Jens Petersen 2017-11-10 12:12:28 UTC
Spec URL: http://petersen.fedorapeople.org//ghc-skylighting.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-skylighting-0.1.1.5-2.fc26.src.rpm

Description:
Skylighting is a syntax highlighting library with support for over one hundred
languages. It derives its tokenizers from XML syntax definitions used by KDE's
KSyntaxHighlighting framework, so any syntax supported by that framework can be
added. An optional command-line program is provided. Skylighting is intended to
be the successor to highlighting-kate.

Comment 1 Jens Petersen 2017-11-10 12:14:46 UTC
Needed for newer pandoc

Maybe it should obsolete highlighting-kate

Comment 2 Jens Petersen 2017-11-10 12:20:52 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=23036551

Note profiling libraries are disabled on some archs because they are too heavy.

Comment 3 Robert-André Mauchin 2017-11-10 14:11:59 UTC
 - Latest version is 0.4.3.2 and you're packaging 0.1.1.5, why is that?

 - Could you add a comment explaining what the patch is for?

Comment 4 Jens Petersen 2017-11-13 02:46:16 UTC
(In reply to Robert-André Mauchin from comment #3)
>  - Latest version is 0.4.3.2 and you're packaging 0.1.1.5, why is that?

Ah right yes - because I am tracking Stackage LTS.

pandoc-1.19.2.4 needs skylighting < 0.2.

>  - Could you add a comment explaining what the patch is for?

Done: we have regex-pcre already in Fedora (I think the only difference is
bundling of the C library)

Spec: http://petersen.fedorapeople.org/reviews/ghc-skylighting/ghc-skylighting.spec
SRPM: http://petersen.fedorapeople.org/reviews/ghc-skylighting/ghc-skylighting-0.1.1.5-3.fc26.src.rpm

Comment 5 Robert-André Mauchin 2017-11-14 13:06:51 UTC
Ok, package accepted.

Comment 6 Jens Petersen 2017-11-15 05:28:02 UTC
Thanks very much for reviewing!

https://pagure.io/releng/fedora-scm-requests/issue/2978

Comment 7 Gwyn Ciesla 2017-11-15 13:17:29 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-skylighting. You may commit to the branch "f27" in about 10 minutes.

Comment 8 Fedora Update System 2017-11-18 00:54:33 UTC
ghc-hxt-9.3.1.16-1.fc27, ghc-skylighting-0.1.1.5-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f062f93498

Comment 9 Fedora Update System 2017-12-12 11:16:01 UTC
ghc-hxt-9.3.1.16-1.fc27, ghc-skylighting-0.1.1.5-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.